xcb_res_query_client_pixmap_bytes(3)

NAME
xcb_res_query_client_pixmap_bytes -

SYNOPSIS
#include <xcb/res.h>

  Request function

xcb_res_query_client_pixmap_bytes_cookie_t xcb_res_query_client_pixmap_bytes(xcb_connection_t *conn, uint32_t xid);

  Reply datastructure

typedef struct xcb_res_query_client_pixmap_bytes_reply_t {
    uint8_t  response_type;
    uint8_t  pad0;
    uint16_t sequence;
    uint32_t length;
    uint32_t bytes;
    uint32_t bytes_overflow;
} xcb_res_query_client_pixmap_bytes_reply_t;

  Reply function

xcb_res_query_client_pixmap_bytes_reply_t *xcb_res_query_client_pixmap_bytes_reply(xcb_connection_t *conn, xcb_res_query_client_pixmap_bytes_cookie_t cookie, xcb_generic_error_t **e);

REQUEST ARGUMENTS

conn
    The XCB connection to X11.

xid TODO: NOT YET DOCUMENTED.

REPLY FIELDS

response_type
    The type of this reply, in this case XCB_RES_QUERY_CLIENT_PIXMAP_BYTES. This field is also present in the xcb_generic_reply_t and can be used to tell replies apart from each other.

sequence
    The sequence number of the last request processed by the X11 server.

length
    The length of the reply, in words (a word is 4 bytes).

bytes
    TODO: NOT YET DOCUMENTED.

bytes_overflow
    TODO: NOT YET DOCUMENTED.

DESCRIPTION

RETURN VALUE
Returns an xcb_res_query_client_pixmap_bytes_cookie_t. Errors have to be handled when calling the reply function xcb_res_query_client_pixmap_bytes_reply. If you want to handle errors in the event loop instead, use xcb_res_query_client_pixmap_bytes_unchecked. See xcb-requests(3) for details.

ERRORS
This request does never generate any errors.

SEE ALSO

AUTHOR
Generated from res.xml. Contact xcb@lists.freedesktop.org for corrections and improvements.